LOGIN(1)

NAME
login - begin session on the system

SYNOPSIS

login [-p] [username] [ENV=VAR...]

login [-p] [-h host] [-f username]

login [-p] -r host

DESCRIPTION

login is used to establish a new session with the system. It is normally invoked automatically by responding to the login: prompt on the user's terminal. login may be special to the shell and may not be invoked as a sub-process. Typically, login is treated by the shell as exec login which causes the user to exit from the current shell. Attempting to execute login from any shell but the login shell will produce an error message.

The user is then prompted for a password, where appropriate. Echoing is disabled to prevent revealing the password. Only a small number of password failures are permitted before login exits and the communications link is severed.

If password aging has been enabled for your account, you may be prompted for a new password before proceeding. You will be forced to provide your old password and the new password before continuing. Please refer to passwd(1) for more information.

After a successful login, you will be informed of any system messages and the presence of mail. You may turn off the printing of the system message file, /etc/motd, by creating a zero-length file .hushlogin in your login directory. The mail message will be one of "You have new mail.", "You have mail.", or "No Mail." according to the condition of your mailbox.

Your user and group ID will be set according to their values in the /etc/passwd file. The value for $HOME, $SHELL, $PATH, $LOGNAME, and $MAIL are set according to the appropriate fields in the password entry. Ulimit, umask and nice values may also be set according to entries in the GECOS field.

On some installations, the environmental variable $TERM will be initialized to the terminal type on your tty line, as specified in /etc/ttytype.

An initialization script for your command interpreter may also be executed. Please see the appropriate manual section for more information on this function.

A subsystem login is indicated by the presence of a "*" as the first character of the login shell. The given home directory will be used as the root of a new file system which the user is actually logged into.

The login program is NOT responsible for removing users from the utmp file. It is the responsibility of getty(8) and init(8) to clean up apparent ownership of a terminal session. If you use login from the shell prompt without exec, the user you use will continue to appear to be logged in even after you log out of the "subsession".

OPTIONS

-f  Do not perform authentication, user is preauthenticated.

-h  Name of the remote host for this login.

-p  Preserve environment.

-r  Perform autologin protocol for rlogin.

The -r, -h and -f options are only used when login is invoked by root.

CAVEATS

This version of login has many compilation options, only some of which may be in use at any particular site.

The location of files is subject to differences in system configuration.

The login program is NOT responsible for removing users from the utmp file. It is the responsibility of getty(8) and init(8) to clean up apparent ownership of a terminal session. If you use login from the shell prompt without exec, the user you use will continue to appear to be logged in even after you log out of the "subsession".

As any program, login appearance could be faked. If non-trusted users have a physical access to the machine, an attacker could use this to obtain the password of the next person sitting in front of the machine. Under Linux, the SAK mecanism can be used by users to initiate of a trusted path and prevent this kind of attack.

FILES

/var/run/utmp
    List of current login sessions.

/var/log/wtmp
    List of previous login sessions.

/etc/passwd
    User account information.

/etc/shadow
    Secure user account information.

/etc/motd
    System message of the day file.

/etc/nologin
    Prevent non-root users from logging in.

/etc/ttytype
    List of terminal types.

$HOME/.hushlogin
    Suppress printing of system messages.

SEE ALSO

mail(1), passwd(1), sh(1), su(1), login.defs(5), nologin(5), passwd(5), securetty(5), getty(8).